.user-info {
  position: absolute;
  width: 100vw;
  height: 100vh;
  z-index: 2;
  background: rgba(0,0,0,0.5);
  backdrop-filter: blur(5px);
  display: flex;
  align-items: center;
  .user-info-block {
    background-color: #6a6eff;
    width: 280px;
    height: 300px;
    box-shadow: -3px 5px 20px #596183;
    margin: 0 auto;
    border-radius: 10px;
    .close {
      position: relative;
      display: block;
      margin-left: auto;
      border-top-right-radius: 10px;
      border-bottom-left-radius: 10px;
      border: none;
      width: 32px;
      height: 32px;
      opacity: 0.3;
      background-color: #9d1843;
      cursor: pointer;
      transition: .5s;
    }
    .close:hover {
      opacity: 1;
    }
    .close:before, .close:after {
      position: absolute;
      left: 15px;
      content: ' ';
      height: 25px;
      width: 2px;
      background-color: white;
      top: 3px;
    }
    .close:before {
      transform: rotate(45deg);
    }
    .close:after {
      transform: rotate(-45deg);
    }
    .user-info-photo {
      margin: 20px auto;
      width: 170px;
      height: 170px;
      border-radius: 50%;
      background-color: #545353;
      .user-info-avatar {
        width: 170px;
        height: 170px;
        border-radius: 50%;
      }
    }
    .user-info-username {
      display: flex;
      justify-content: space-between;
      margin: 0 auto;
      width: 170px;
      p {
        color: white;
      }
      input {
        width: 80px;
        border: none;
      }
      button {
        width: 30px;
        border-radius: 10px;
        border: none;
        cursor: pointer;
        transition: .5s;
        &:hover {
          background-color: #ffe66a;
        }
      }
      .cancel-form {
        display: inline-block;
        cursor: pointer;
        width: 30px;
        color: white;
        text-align: center;
        background-color: #9d1843;
        transition: .5s;
        border-radius: 10px;
        &:hover {
          background-color: #ffe66a;
        }
      }
    }
    .user-info-logout-and-delete {
      display: flex;
      justify-content: space-around;
      width: 170px;
      margin: 10px auto;
      .user-info-logout {
        border-radius: 10px;
        width: 60px;
        border: none;
        cursor: pointer;
        height: 18px;
        display: block;
        transition: .5s;
        &:hover {
          color: white;
          background-color: #545353;
        }
      }
      .user-info-delete {
        border-radius: 10px;
        width: 100px;
        border: none;
        cursor: pointer;
        height: 18px;
        display: block;
        transition: .5s;
        &:hover {
          color: white;
          background-color: #545353;
        }
      }
    }
  }
}
header {
  height: 100px;
  background-color: #6a6eff;
  display: flex;
  align-items: center;
  position: relative;
  .header-block {
    width: 85%;
    display: flex;
    margin: 0 auto;
    justify-content: space-between;
    .header-title {
      color: white;
      cursor: default;
      font: {
        size: 34px;
        style: italic;
      }
    }
    .header-account {
      display: flex;
      align-items: center;
      cursor: pointer;
      p {
        color: white;
        font-size: 20px;
        margin-right: 5px;
      }
      .header-account-avatar {
        width: 50px;
        height: 50px;
        border-radius: 50%;
      }
    }
  }
}
